> ## Documentation Index
> Fetch the complete documentation index at: https://docs.messari.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Liquid Staking Metrics

> Returns a list of timeseries metrics available for liquid staking protocols



## OpenAPI

````yaml GET /metrics/v2/protocols/liquid-staking/metrics
openapi: 3.0.0
info:
  description: OpenAPI specification for the entire Messari API
  title: Messari API - Metrics V2
  version: 1.0.0
servers:
  - description: Messari API
    url: https://api.messari.io
security: []
paths:
  /metrics/v2/protocols/liquid-staking/metrics:
    get:
      tags:
        - metrics/protocols/liquid-staking
      summary: List liquid staking metrics
      description: >-
        Returns a list of timeseries metrics available for liquid staking
        protocols
      operationId: getLiquidStakingMetricsV2
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    $ref: '#/components/schemas/TimeseriesCatalog'
                  error:
                    type: string
                required:
                  - data
                type: object
              example:
                error: null
                data:
                  datasets:
                    - slug: liquid-staking
                      granularities:
                        - 1d
                      metrics:
                        - name: Timestamp
                          slug: time
                          description: Timestamp of the data point.
                          is_timestamp: true
                        - name: TVL 24 Hour USD
                          slug: tvl24HourUsd
                          description: Total Value Locked in USD.
                          is_timestamp: false
                        - name: Active Addresses 24 Hour
                          slug: activeAddresses24Hour
                          description: >-
                            Number of unique addresses interacting with the
                            protocol.
                          is_timestamp: false
                        - name: Fees 24 Hour USD
                          slug: fees24HourUsd
                          description: Total fees generated by the protocol in USD.
                          is_timestamp: false
                        - name: Fees Supply Side 24 Hour USD
                          slug: feesSupplySide24HourUsd
                          description: Fees paid to liquidity providers in USD.
                          is_timestamp: false
                        - name: Token Incentives 24 Hour USD
                          slug: tokenIncentives24HourUsd
                          description: >-
                            Value of token incentives distributed by the
                            protocol.
                          is_timestamp: false
                        - name: Expenses 24 Hour USD
                          slug: expenses24HourUsd
                          description: Total expenses incurred by the protocol in USD.
                          is_timestamp: false
                        - name: Cost of Revenue
                          slug: costOfRevenue
                          description: Cost of revenue in USD for liquid staking protocols.
                          is_timestamp: false
                        - name: Gross Profit 24 Hour USD
                          slug: grossProfit24HourUsd
                          description: Gross profit in USD for liquid staking protocols.
                          is_timestamp: false
                        - name: Treasury USD
                          slug: treasuryUsd
                          description: >-
                            Value of assets held in the protocol treasury in
                            USD.
                          is_timestamp: false
                        - name: Treasury Net USD
                          slug: treasuryNetUsd
                          description: Net treasury value in USD.
                          is_timestamp: false
                        - name: Assets Staked
                          slug: assetsStaked
                          description: >-
                            Value of assets staked in USD for liquid staking
                            protocols.
                          is_timestamp: false
                        - name: Core Developers
                          slug: coreDevelopers
                          description: Number of active core developers.
                          is_timestamp: false
                        - name: Core Commits 24 Hour
                          slug: coreCommits24Hour
                          description: Number of code commits.
                          is_timestamp: false
          description: Default response
        '400':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Internal Server Error
      security:
        - apiKey: []
components:
  schemas:
    TimeseriesCatalog:
      properties:
        datasets:
          items:
            $ref: '#/components/schemas/TimeseriesDataset'
          type: array
      required:
        - datasets
      type: object
    TimeseriesDataset:
      type: object
      description: Schema for TimeseriesDataset
      properties: {}
      additionalProperties: true
  securitySchemes:
    apiKey:
      in: header
      name: X-Messari-API-Key
      type: apiKey

````